header {
    background: var(--color-content-primary);
    font-family: "Fira Sans";
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

.header-logo {
    background: var(--color-surface-tertiary);
    max-height: 40px;
}

a.header-btn {
    padding: 8px 8px;
    display: flex;
    align-items: center;
    margin-left: 8px;
    justify-content: flex-start;
    text-decoration: none !important;
    text-transform: uppercase;
    transition: all 0.3s ease;
}

a.header-btn:hover {
    background-color: rgba(255, 255, 255, 0.2);
}

a.header-btn-accent {
    padding: 7px 8px;
    display: flex;
    align-items: center;
    margin-left: 8px;
    justify-content: flex-start;
    text-decoration: none !important;
    text-transform: uppercase;
    transition: all 0.45s ease;
}

a.header-btn-accent:hover {
    filter: brightness(1.1);
}

.header-btn__text {
    padding: 0 10px;
    font-size: 14px;
    font-weight: 400;
}

.header-btn__text_medium {
    padding: 0 10px;
    font-size: 16px;
    font-weight: 400;
}




hr.header-hr {
    margin: 15px 0 0px 0px;
    border-top: 1px solid rgba(255, 255, 255, 0.1);
}


.navbar {
    background-color: var(--color-content-primary);
    width: 100%;
    height: 60px;
}

.navbar-list {
    display: flex;
    list-style: none;
    height: 100%;
    margin: 0 auto;
    padding: 0;
}

.navbar-item {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    border-right: 1px solid rgba(255, 255, 255, 0.1);
    /* Тонкие разделители */
    position: relative;
}

.navbar-item:last-child {
    border-right: none;
}

.navbar-item a {
    color: var(--color-surface-tertiary);
    text-decoration: none;
    font-size: 14px;
    font-weight: 400;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    transition: background-color 0.3s;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Эффект при наведении */
.navbar-item a:hover {
    background-color: rgba(255, 255, 255, 0.05);
}

/* Активный пункт с желтой полоской снизу */
.navbar-item.active::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 3px;
    background-color: #f1c40f;
    /* Желтый акцент */
}

.navbar-item.active a {
    font-weight: 700;
}

.mobile-nav-sticky {
    background: var(--color-content-primary);
    padding: 15px 0;
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);

}


/* 1. Обертка-предохранитель. 
           Она всегда занимает 0 пикселей высоты, чтобы не создавать дырок сверху,
           но удерживает в себе меню. */
.fixed-nav-wrapper {
    height: 0;
    position: relative;
    z-index: 1000;
}

/* 2. Твое меню изначально спрятано */
.fixed-navbar {
    position: fixed !important;
    top: -100px;
    left: 0;
    width: 100%;
    transition: top 0.3s ease-in-out;
    /* Плавность для возврата */
}

/* 3. Когда UIkit активирует sticky */
.fixed-navbar.uk-active {
    top: 0 !important;
    background: #ffffff !important;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}



a.header-btn-sm {
    padding: 5px;
    display: flex;
    align-items: center;
    margin-left: 5px;
    justify-content: flex-start;
    text-decoration: none !important;
    text-transform: uppercase;
    transition: all 0.3s ease;
}

.u-bg-dark-blur {
    background: rgb(255 255 255 / 10%);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}

.u-bg-dark-blur:hover {
    background: rgb(43 43 58 / 40%);
}

a.header-btn-accent-sm {
    padding: 5px 8px;
    display: flex;
    align-items: center;
    margin-left: 8px;
    justify-content: flex-start;
}



/* Small screen and up (@s) */
@media (max-width: 640px) {

    header {
        background: var(--color-content-primary);
        padding: 0px;
        font-family: "Fira Sans";
    }

    .header-logo img { 
        height: 40px;
    }

    a.header-btn {
        padding: 8px 8px;
        display: flex;
        align-items: center;
        margin-left: 8px;
        justify-content: flex-start;
        text-decoration: none !important;
        text-transform: uppercase;
        transition: all 0.3s ease;
    }

    a.header-btn img {
        max-height: 24px;
    }

    a.header-btn__text_medium {
        font-size: 12px;
    }

    a.header-btn-accent {
        padding: 8px 8px;
        display: flex;
        align-items: center;
        margin-left: 8px;
        justify-content: flex-start;
        text-decoration: none !important;
        text-transform: uppercase;
        transition: all 0.3s ease;
    }

    a.header-btn-accent img {
        max-height: 24px;
    }

    a.header-btn-accent__text_medium {
        font-size: 12px;
    }

}

/* Medium screen and up (@m) */
@media (max-width: 960px) {
    header {
        padding: 0;
    }

    .mobile-nav-sticky {
        border-bottom: 0px solid rgba(255, 255, 255, 0.1);
    }

    .mobile-nav-sticky {
        padding: 10px 0;
    }

}





.uk-offcanvas-bar {
    --uk-inverse: light;
    position: absolute;
    top: 0;
    bottom: 0;
    left: -270px;
    box-sizing: border-box;
    width: 270px;
    padding: 40px 20px 20px;
    background: var(--color-content-primary);
    overflow-y: auto;
}